package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.system.domain.ManageFactory;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysSettlementRate;

/**
 * 结算费率Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-17
 */
public interface SysSettlementRateMapper extends BaseMapper<SysSettlementRate> {
    /**
     * 查询结算费率
     *
     * @param id 结算费率主键
     * @return 结算费率
     */
    public SysSettlementRate selectSysSettlementRateById(Long id);

    /**
     * 查询结算费率列表
     *
     * @param sysSettlementRate 结算费率
     * @return 结算费率集合
     */
    public List<SysSettlementRate> selectSysSettlementRateListByStore(SysSettlementRate sysSettlementRate);

    /**
     * 查询结算费率列表
     *
     * @param sysSettlementRate 结算费率
     * @return 结算费率集合
     */
    public List<SysSettlementRate> selectSysSettlementRateListByFactory(SysSettlementRate sysSettlementRate);

    /**
     * 新增结算费率
     *
     * @param sysSettlementRate 结算费率
     * @return 结果
     */
    public int insertSysSettlementRate(SysSettlementRate sysSettlementRate);

    /**
     * 修改结算费率
     *
     * @param sysSettlementRate 结算费率
     * @return 结果
     */
    public int updateSysSettlementRate(SysSettlementRate sysSettlementRate);

    /**
     * 删除结算费率
     *
     * @param id 结算费率主键
     * @return 结果
     */
    public int deleteSysSettlementRateById(Long id);

    /**
     * 批量删除结算费率
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysSettlementRateByIds(Long[] ids);


    public void insertAllRateStore(SysSettlementRate sysSettlementRate);

    public void insertAllRateFactory(SysSettlementRate sysSettlementRate);
}
